> ## Documentation Index
> Fetch the complete documentation index at: https://developer.valuechecker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Appraisal



## OpenAPI

````yaml post /client_reference/{client_reference_id}/appraisal
openapi: 3.0.0
info:
  title: ValueChecker API
  description: The ValueChecker Application Programming Interface.
  version: 0.150.1
  x-logo:
    url: >-
      https://files.valuechecker.net/images/default-category-images/Value-Checker_top_bar_logo.png
    backgroundColor: '#FFFFFF'
    altText: ValueChecker logo
  contact:
    name: Contact
    url: https://www.valuechecker.net/contact/
    email: support@valuechecker.net
servers:
  - url: https://api.valuechecker.net/
    description: ValueChecker API URL.
security:
  - apiKey: []
tags:
  - name: default
externalDocs:
  description: PDF Documentation (official)
  url: https://www.valuechecker.net/docs/api/pdf
paths:
  /client_reference/{client_reference_id}/appraisal:
    post:
      tags:
        - default
      summary: Create Appraisal
      parameters:
        - $ref: '#/components/parameters/client_reference_id'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                client_id:
                  type: string
                session-id:
                  type: string
                  description: Optional session identifier of the user.
                client_reference_id:
                  type: string
                cpid:
                  type: string
                  description: >-
                    This is the Claimed Product Identifier. You should have this
                    value from the previous response Step 3: (RP) from field
                    `claimed_product.pid`.
                rpid:
                  type: string
                  description: >-
                    This is the Replacement Product Identifier. The previous
                    response should have one or more Replacement Products. You
                    should take the value from whichever product you select from
                    field `grouped_prices.[Y].[X].pid` (where X is the numbered
                    product of the Y numbered group).
                homepage_client_category_id:
                  type: integer
                selected_client_category_id:
                  type: integer
                item_quantity:
                  type: integer
                is_price_per_item:
                  type: boolean
                rp_name_cart:
                  type: string
                offer_id:
                  type: string
                shop_name:
                  type: string
                shop_url:
                  type: string
                replacement_cost_value:
                  type: number
                  multipleOf: 0.01
                  description: >-
                    This is an optional variable parameter. You can either use
                    the price from the previous response from field
                    `grouped_prices.[Y].[X].total_price` or you can set a custom
                    value based on your own logic.
                rp_price_date:
                  type: string
                  format: date-time
              required:
                - cpid
                - rpid
            example:
              client_id: '10'
              client_reference_id: '200'
              cpid: '123456'
              rpid: '234567'
              homepage_client_category_id: 2740
              selected_client_category_id: 2740
              item_quantity: 1
              is_price_per_item: true
              rp_name_cart: A product name
              offer_id: '9876'
              shop_name: A shop name
              shop_url: https://some.shop
              replacement_cost_value: 300
              rp_price_date: '2021-02-17 13:36:10'
      responses:
        '200':
          description: OK
          headers:
            Date:
              schema:
                type: string
                example: Tue, 25 Jul 2023 11:51:08 GMT
            Content-Type:
              schema:
                type: string
                example: application/json
            Content-Length:
              schema:
                type: integer
                example: '23'
            Connection:
              schema:
                type: string
                example: keep-alive
            x-request-id:
              schema:
                type: string
                example: 58704e3b-564a-4a6a-935c-26169a982829
          content:
            application/json:
              schema:
                type: object
                properties:
                  appraisal_id:
                    type: integer
              example:
                appraisal_id: 97771
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  event_code:
                    type: string
                  event_dict:
                    type: object
                    properties:
                      event_severity:
                        type: string
                      title:
                        type: string
                      description:
                        type: string
              example:
                error: 'cpid : field required; rpid : field required'
                event_code: ERMPAP
                event_dict:
                  event_severity: ERROR
                  title: Missing parameter
                  description: The "cpid" parameter is required.
        '401':
          $ref: '#/components/responses/401'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  event_code:
                    type: string
                  event_dict:
                    type: object
                    properties:
                      event_severity:
                        type: string
                      title:
                        type: string
                      description:
                        type: string
              example:
                error: Client reference 14418 was not found
                event_code: ERNFAP
                event_dict:
                  event_severity: ERROR
                  title: Wrong "client_reference_id" value
                  description: The client_reference_id "14418" was not found
components:
  parameters:
    client_reference_id:
      name: client_reference_id
      in: path
      schema:
        type: integer
      required: true
      description: The client reference identifier.
      example: '9337'
  responses:
    '401':
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              error:
                type: string
              event_code:
                type: string
              event_dict:
                type: object
                properties:
                  event_severity:
                    type: string
                  title:
                    type: string
                  description:
                    type: string
          example:
            error: Invalid Authorization header
            event_code: ERIT00
            event_dict:
              event_severity: ERROR
              title: Invalid Authorization header
              description: Please provide the right authorization token
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Note! Prefix your <api-key> with `apiKey `. Note the space after "apiKey
        ".

````